
<template>
  <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
    :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
    :table="table" :extend="extend">
  </view-grid>
</template>
<script>
import extend from "@/extension/basicinfo/router.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "路由配置信息",
      name: "router",
      url: "/Router/",
      sortName: "createDate",
    });
    const editFormFields = ref({

    });
    const editFormOptions = ref([
    ]);
    const searchFormFields = ref({
      startPosi: "",
      nextPosi: "",
    });
    const searchFormOptions = ref([
      [
        { title: "起点位置", field: "startPosi", type: "like", },
        { title: "终点位置", field: "nextPosi", type: "like", },
      ],
    ]);
    const columns = ref([
      { field: "id", title: "Id", type: "int", width: 90, hidden: true, readonly: true, require: true, align: "left", },
      { field: "startPosi", title: "起点位置", type: "string", width: 90, align: "left", },
      { field: "nextPosi", title: "终点位置", type: "string", width: 180, align: "left", },
      { field: "inOutType", title: "路由类型", type: "string", width: 180, align: "left", },
      { field: "childPosi", title: "子位置", type: "string", width: 200, align: "left", },
      { field: "childPosiDeviceCode", title: "子位置所属设备", type: "string", width: 120, align: "left", },
      { field: "srmRow", title: "堆垛机取货/放货行", type: "int", width: 150, align: "left", },
      { field: "srmColumn", title: "堆垛机取货/放货列", type: "int", width: 150, align: "left", },
      { field: "srmLayer", title: "堆垛机取货/放货层", type: "int", width: 150, align: "left", },
      { field: "depth", title: "深度", type: "int", width: 150, align: "left", },
      { field: "isEnd", title: "是否是最终点", type: "bool", width: 150, align: "left", },
      { field: "creater", title: "创建人", type: "string", width: 90, align: "left", },
      { field: "createDate", title: "创建时间", type: "datetime", width: 160, align: "left", },
      { field: "modifier", title: "修改人", type: "string", width: 100, align: "left", },
      { field: "modifyDate", title: "修改时间", type: "datetime", width: 160, align: "left", },
      { field: "remark", title: "备注", type: "string", width: 100, align: "left", },
    ]);
    const detail = ref({
      cnName: "",
      table: "",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    